<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
JournalArticle article = journalContentDisplayContext.getArticle();
AssetRenderer<JournalArticle> assetRenderer = journalContentDisplayContext.getAssetRenderer();

String title = assetRenderer.getTitle(locale);

if (article.getGroupId() != themeDisplay.getScopeGroupId()) {
	Group articleGroup = GroupLocalServiceUtil.getGroup(article.getGroupId());

	title = title + StringPool.SPACE + StringPool.OPEN_PARENTHESIS + articleGroup.getDescriptiveName(locale) + StringPool.CLOSE_PARENTHESIS;
}

String articleImageURL = HtmlUtil.escapeAttribute(assetRenderer.getThumbnailPath(liferayPortletRequest));
%>

<c:choose>
	<c:when test="<%= Validator.isNotNull(articleImageURL) %>">
		<liferay-frontend:vertical-card
			cssClass="article-preview-content"
			imageUrl="<%= articleImageURL %>"
			subtitle="<%= assetRenderer.getSummary(liferayPortletRequest, liferayPortletResponse) %>"
			title="<%= title %>"
		>
			<liferay-frontend:vertical-card-sticker-bottom>
				<liferay-ui:user-portrait
					cssClass="sticker sticker-bottom"
					imageCssClass="user-icon-lg"
					userId="<%= assetRenderer.getUserId() %>"
				/>
			</liferay-frontend:vertical-card-sticker-bottom>

			<liferay-frontend:vertical-card-footer>
				<aui:workflow-status markupView="lexicon" showIcon="<%= false %>" showLabel="<%= false %>" status="<%= article.getStatus() %>" />
			</liferay-frontend:vertical-card-footer>
		</liferay-frontend:vertical-card>
	</c:when>
	<c:otherwise>
		<liferay-frontend:icon-vertical-card
			cssClass="article-preview-content"
			icon="web-content"
			subtitle="<%= assetRenderer.getSummary(liferayPortletRequest, liferayPortletResponse) %>"
			title="<%= title %>"
		>
			<liferay-frontend:vertical-card-sticker-bottom>
				<liferay-ui:user-portrait
					cssClass="sticker sticker-bottom"
					imageCssClass="user-icon-lg"
					userId="<%= assetRenderer.getUserId() %>"
				/>
			</liferay-frontend:vertical-card-sticker-bottom>

			<liferay-frontend:vertical-card-footer>
				<aui:workflow-status markupView="lexicon" showIcon="<%= false %>" showLabel="<%= false %>" status="<%= article.getStatus() %>" />
			</liferay-frontend:vertical-card-footer>
		</liferay-frontend:icon-vertical-card>
	</c:otherwise>
</c:choose>