<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
DDMTemplate ddmTemplate = journalContentDisplayContext.getDDMTemplate();
List<DDMTemplate> ddmTemplates = journalContentDisplayContext.getDDMTemplates();
String ddmTemplateImageURL = ddmTemplate.getTemplateImageURL(themeDisplay);
%>

<c:choose>
	<c:when test="<%= journalContentDisplayContext.isDefaultTemplate() %>">
		<p class="text-muted"><liferay-ui:message key="web-content's-default-template" /> <liferay-ui:icon-help message="to-change-web-content's-default-template-you-have-to-edit-the-web-content" /></p>
	</c:when>
	<c:otherwise>
		<p class="text-muted"><liferay-ui:message key="web-content-display-template" /></p>
	</c:otherwise>
</c:choose>

<liferay-frontend:horizontal-card
	text="<%= ddmTemplate.getName(locale) %>"
>
	<liferay-frontend:horizontal-card-col>
		<c:choose>
			<c:when test="<%= Validator.isNotNull(ddmTemplateImageURL) %>">
				<img alt="" class="<%= Validator.isNotNull(ddmTemplateImageURL) ? "icon-monospaced" : StringPool.BLANK %>" src="<%= ddmTemplateImageURL %>" />
			</c:when>
			<c:otherwise>
				<liferay-frontend:horizontal-card-icon
					icon="edit-layout"
				/>
			</c:otherwise>
		</c:choose>
	</liferay-frontend:horizontal-card-col>
</liferay-frontend:horizontal-card>

<c:if test="<%= ddmTemplates.size() > 1 %>">
	<div class="button-holder template-preview-button">
		<aui:button cssClass="select-template" value="change" />

		<c:if test="<%= !journalContentDisplayContext.isDefaultTemplate() %>">
			<liferay-ui:message key="or" /> <aui:a cssClass="change-template" href="javascript:;" label="default-template" />
		</c:if>
	</div>
</c:if>