/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.journal.content.web.internal.portlet.configuration.icon;

import com.liferay.journal.content.web.internal.display.context.JournalContentDisplayContext;
import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.portlet.configuration.icon.BaseJSPPortletConfigurationIcon;
import com.liferay.portal.kernel.theme.PortletDisplay;
import com.liferay.portal.kernel.theme.ThemeDisplay;
import com.liferay.portal.kernel.util.WebKeys;

import javax.portlet.PortletRequest;
import javax.portlet.PortletResponse;

/**
 * @author Julio Camarero
 */
public abstract class BaseJournalArticlePortletConfigurationIcon
	extends BaseJSPPortletConfigurationIcon {

	protected JournalContentDisplayContext getJournalContentDisplayContext(
		PortletRequest portletRequest, PortletResponse portletResponse,
		long ddmStructureClassNameId) {

		ThemeDisplay themeDisplay = (ThemeDisplay)portletRequest.getAttribute(
			WebKeys.THEME_DISPLAY);

		PortletDisplay portletDisplay = themeDisplay.getPortletDisplay();

		try {
			return JournalContentDisplayContext.create(
				portletRequest, portletResponse, portletDisplay,
				ddmStructureClassNameId);
		}
		catch (PortalException pe) {
			_log.error("Unable to create display context", pe);
		}

		return null;
	}

	private static final Log _log = LogFactoryUtil.getLog(
		BaseJournalArticlePortletConfigurationIcon.class);

}